<?php

namespace app\admin\controller\life;

use app\admin\validate\life\TravelLineValidate;
use app\controller\Curd;
use app\model\TravelLine;
use support\Request;
use support\Response;

class TravelLineController extends Curd
{
    public function __construct()
    {
        $this->model = new TravelLine();
        $this->validate = true;
        $this->validateClass = new TravelLineValidate();
    }

    /**
     * @Desc 列表
     * @Author Gorden
     * @Date 2024/3/5 13:22
     *
     * @param Request $request
     * @return Response
     * @throws \support\exception\BusinessException
     */
    public function select(Request $request): Response
    {
        [$where, $format, $limit, $field, $order] = $this->selectInput($request);
        $order = $request->get('order', 'desc');
        $field = $field ?? 'line_add_time';
        $where['line_is_del'] = 0;
        $query = $this->doSelect($where, $field, $order);
        return $this->doFormat($query, $format, $limit);
    }

    /**
     * @Desc 删除
     * @Author Gorden
     * @Date 2024/3/5 13:22
     *
     * @param Request $request
     * @return Response
     * @throws \support\exception\BusinessException
     */
    public function delete(Request $request): Response
    {
        $ids = $this->deleteInput($request);
        $this->doSoftDelete($ids, ['line_is_del' => 1]);

        return json_success('success');
    }

}